@tool
extends Node3D
class_name Dome

@export var size : float = 100. : set = set_size

func _ready():
    set_size(size)

func set_size(s : float):
    size = s
    if is_node_ready():
        scale = Vector3.ONE * size
